Bug 826794 - Process /usr/bin/Xorg was killed by signal 6
Process /usr/bin/Xorg was killed by signal 6
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 21:12 EDT by Ryan
Modified: 2013-07-04 00:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 00:42:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Files collected by ABRT in /var/spool/abrt/ccpp-2012-06-18-13:41:44-875 (6.49 MB, application/octet-stream)
2012-06-18 10:25 EDT, Lukas Mencl
no flags Details
Retraced core file. (7.91 KB, text/plain)
2012-06-18 10:32 EDT, Lukas Mencl
no flags Details

  None (edit)
Description Ryan 2012-05-30 21:12:59 EDT
Description of problem:
X server crashed while changing between fullscreen and windowed mode in supertux 2, X was using the gdm window manager instead of kdm while running in kde. the commandline was /usr/bin/Xorg :0 -br -verbose -auth /var/run/gdm/auth-for-gdm-ppeVRN/database -seat seat0 -nolisten tcp the kernel version is 3.3.7-1.fc17.x86_64, the dso list shows:

/usr/lib64/xorg/modules/extensions/libdbe.so xorg-x11-server-Xorg-1.12.0-5.fc17.x86_64 (Fedora Project) 1338408646
/usr/lib64/dri/r600_dri.so mesa-dri-drivers-8.0.3-1.fc17.x86_64 (Fedora Project) 1338410678
/usr/lib64/xorg/modules/drivers/fbdev_drv.so xorg-x11-drv-fbdev-0.4.2-8.fc17.x86_64 (Fedora Project) 1338410630
/usr/lib64/xorg/modules/extensions/libextmod.so xorg-x11-server-Xorg-1.12.0-5.fc17.x86_64 (Fedora Project) 1338408646
/usr/lib64/libdrm_radeon.so.1.0.0 libdrm-2.4.33-3.fc17.x86_64 (Fedora Project) 1338408633
/usr/lib64/xorg/modules/drivers/ati_drv.so xorg-x11-drv-ati-6.14.4-5.20120417git0bda305f7.fc17.x86_64 (Fedora Project) 1338410627
/usr/lib64/xorg/modules/libfb.so xorg-x11-server-Xorg-1.12.0-5.fc17.x86_64 (Fedora Project) 1338408646
/usr/lib64/xorg/modules/extensions/libdri.so xorg-x11-server-Xorg-1.12.0-5.fc17.x86_64 (Fedora Project) 1338408646
/usr/lib64/libmtdev.so.1.0.0 mtdev-1.1.0-3.20110105.fc17.x86_64 (Fedora Project) 1338407877
/usr/lib64/libnss_files-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338407740
/usr/lib64/xorg/modules/extensions/librecord.so xorg-x11-server-Xorg-1.12.0-5.fc17.x86_64 (Fedora Project) 1338408646
/usr/lib64/xorg/modules/input/evdev_drv.so xorg-x11-drv-evdev-2.7.0-2.fc17.x86_64 (Fedora Project) 1338410629
/usr/lib64/xorg/modules/libfbdevhw.so xorg-x11-server-Xorg-1.12.0-5.fc17.x86_64 (Fedora Project) 1338408646
/usr/lib64/xorg/modules/drivers/radeon_drv.so xorg-x11-drv-ati-6.14.4-5.20120417git0bda305f7.fc17.x86_64 (Fedora Project) 1338410627
/usr/lib64/llvm/libLLVM-3.0.so llvm-libs-3.0-13.fc17.x86_64 (Fedora Project) 1338407871
/usr/lib64/xorg/modules/extensions/libdri2.so xorg-x11-server-Xorg-1.12.0-5.fc17.x86_64 (Fedora Project) 1338408646
/usr/lib64/xorg/modules/libexa.so xorg-x11-server-Xorg-1.12.0-5.fc17.x86_64 (Fedora Project) 1338408646
/usr/lib64/xorg/modules/drivers/vesa_drv.so xorg-x11-drv-vesa-2.3.0-15.fc17.x86_64 (Fedora Project) 1338410627
/usr/lib64/xorg/modules/extensions/libglx.so xorg-x11-server-Xorg-1.12.0-5.fc17.x86_64 (Fedora Project) 1338408646

the backtrace shows:

a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
431c0142fd21d5af32ae7c81a68bd95983fdf2ec 0x6c41e OsAbort [exe] -
431c0142fd21d5af32ae7c81a68bd95983fdf2ec 0x8278c ddxGiveUp [exe] -
431c0142fd21d5af32ae7c81a68bd95983fdf2ec 0x689f2 - [exe] -
431c0142fd21d5af32ae7c81a68bd95983fdf2ec 0x68bf5 FatalError [exe] -
431c0142fd21d5af32ae7c81a68bd95983fdf2ec 0x69e8e - [exe] -

I can't get a proper backtrace out of it to submit via Fedora because it says there isn't enough data



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ryan 2012-05-30 21:17:34 EDT
version of supertux: supertux2-0.3.3
how reproducable: very
steps to reproduce: open supertux, change between fullscreen and windowed mode
actual results: X crashes
expected results: X remains stable
additional info: I need to test using the KDE window manager, I will try this and advise if this rectifies the issue
Comment 2 Ryan 2012-05-30 21:32:55 EDT
ran with KDE window manager, same result, actually found the problem only occurs if you change both the resolution and between fullscreen and windowed mode
Comment 3 Lukas Mencl 2012-06-18 10:19:40 EDT
I have got xorg crash with the same backtrace while working in Gnome Shell - (so no supertux nor KDE). I do not remember what I was exactly doing before being greeted by gdm but ABRT was able to collect files so I will attach them.
Comment 4 Lukas Mencl 2012-06-18 10:25:22 EDT
Created attachment 592673 [details]
Files collected by ABRT in /var/spool/abrt/ccpp-2012-06-18-13:41:44-875
Comment 5 Lukas Mencl 2012-06-18 10:32:40 EDT
Created attachment 592674 [details]
Retraced core file.
Comment 6 Fedora End Of Life 2013-07-04 00:26:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Ryan 2013-07-04 00:42:40 EDT
current version of Supertux appears to not experience this issue, I am running Fedora 19 now, and after performing testing on this issue, I have found that it no longer occurs while using the package supertux-0.3.3-11.fc19.x86_64. I am not sure if the issue was ever rectified in F17 however, and as it's now close to EOL there is no need to keep the bug open.

Note You need to log in before you can comment on or make changes to this bug.